<?php

use Illuminate\Database\Seeder;

class UserTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('users')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'package.user.view',
                'name'      => 'View User',
            ],
            [
                'slug'      => 'package.user.create',
                'name'      => 'Create User',
            ],
            [
                'slug'      => 'package.user.edit',
                'name'      => 'Update User',
            ],
            [
                'slug'      => 'package.user.delete',
                'name'      => 'Delete User',
            ],
            /*
            [
                'slug'      => 'package.user.verify',
                'name'      => 'Verify User',
            ],
            [
                'slug'      => 'package.user.approve',
                'name'      => 'Approve User',
            ],
            [
                'slug'      => 'package.user.publish',
                'name'      => 'Publish User',
            ],
            [
                'slug'      => 'package.user.unpublish',
                'name'      => 'Unpublish User',
            ],
            [
                'slug'      => 'package.user.cancel',
                'name'      => 'Cancel User',
            ],
            [
                'slug'      => 'package.user.archive',
                'name'      => 'Archive User',
            ],
            */
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/package/user',
                'name'        => 'User',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/package/user',
                'name'        => 'User',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'user',
                'name'        => 'User',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'key'      => 'package.user.key',
                'name'     => 'Some name',
                'value'    => 'Some value',
                'type'     => 'Default',
            ],
            */
        ]);
    }
}
