<?php

return [

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'User',
    'names'         => 'Users',
    'title'       => [
        'user'  => 'My Users',
        'admin' => 'Users',
        'sub'   => [
            'user'  => 'Users created by me',
            'admin' => 'Users',
        ],
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'status'              => ['New','Active','Suspended'],
            'sex'                 => ['','male','female'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'reporting_to'               => 'Please enter reporting_to',
        'name'                       => 'Please enter name',
        'email'                      => 'Please enter email',
        'password'                   => 'Please enter password',
        'status'                     => 'Please enter status',
        'api_token'                  => 'Please enter api_token',
        'remember_token'             => 'Please enter remember_token',
        'sex'                        => 'Please enter sex',
        'dob'                        => 'Please enter dob',
        'designation'                => 'Please enter designation',
        'mobile'                     => 'Please enter mobile',
        'phone'                      => 'Please enter phone',
        'address'                    => 'Please enter address',
        'street'                     => 'Please enter street',
        'city'                       => 'Please enter city',
        'district'                   => 'Please enter district',
        'state'                      => 'Please enter state',
        'country'                    => 'Please enter country',
        'photo'                      => 'Please enter photo',
        'web'                        => 'Please enter web',
        'permissions'                => 'Please enter permissions',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'reporting_to'               => 'Reporting to',
        'name'                       => 'Name',
        'email'                      => 'Email',
        'password'                   => 'Password',
        'status'                     => 'Status',
        'api_token'                  => 'Api token',
        'remember_token'             => 'Remember token',
        'sex'                        => 'Sex',
        'dob'                        => 'Dob',
        'designation'                => 'Designation',
        'mobile'                     => 'Mobile',
        'phone'                      => 'Phone',
        'address'                    => 'Address',
        'street'                     => 'Street',
        'city'                       => 'City',
        'district'                   => 'District',
        'state'                      => 'State',
        'country'                    => 'Country',
        'photo'                      => 'Photo',
        'web'                        => 'Web',
        'permissions'                => 'Permissions',
        'status'                     => 'Status',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Name',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
