<?php

namespace Provider\Package\Repositories\Eloquent;

use Provider\Package\Interfaces\UserRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class UserRepository extends BaseRepository implements UserRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('provider.package.user.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('provider.package.user.model');
    }
}
