<?php

namespace Provider\Package\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class UserItemTransformer extends TransformerAbstract
{
    public function transform(\Provider\Package\Models\User $user)
    {
        return [
            'id'                => $user->getRouteKey(),
            'reporting_to'      => $user->reporting_to,
            'name'              => $user->name,
            'email'             => $user->email,
            'password'          => $user->password,
            'status'            => $user->status,
            'api_token'         => $user->api_token,
            'remember_token'    => $user->remember_token,
            'sex'               => $user->sex,
            'dob'               => $user->dob,
            'designation'       => $user->designation,
            'mobile'            => $user->mobile,
            'phone'             => $user->phone,
            'address'           => $user->address,
            'street'            => $user->street,
            'city'              => $user->city,
            'district'          => $user->district,
            'state'             => $user->state,
            'country'           => $user->country,
            'photo'             => $user->photo,
            'web'               => $user->web,
            'permissions'       => $user->permissions,
            'status'            => trans('app.'.$user->status),
            'created_at'        => format_date($user->created_at),
            'updated_at'        => format_date($user->updated_at),
        ];
    }
}