<div class="container">
    <div class="row">
        <div class="col-md-8">
            <div class="card-box">
                <div class="row">
                    <div class="col-md-6">
                        <h4 class="text-dark  header-title m-t-0"> {!! $user['name'] !!} </h4>
                    </div>
                    <div class="col-md-6">
                        <a href="{{ trans_url('packages') }}" class="btn btn-default pull-right"> Back</a>
                    </div>
                </div>
                <hr/>

                <div class="row">
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="reporting_to">
                    {!! trans('package::user.label.reporting_to') !!}
                </label><br />
                    {!! $user['reporting_to'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="name">
                    {!! trans('package::user.label.name') !!}
                </label><br />
                    {!! $user['name'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="email">
                    {!! trans('package::user.label.email') !!}
                </label><br />
                    {!! $user['email'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="password">
                    {!! trans('package::user.label.password') !!}
                </label><br />
                    {!! $user['password'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="status">
                    {!! trans('package::user.label.status') !!}
                </label><br />
                    {!! $user['status'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="api_token">
                    {!! trans('package::user.label.api_token') !!}
                </label><br />
                    {!! $user['api_token'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="remember_token">
                    {!! trans('package::user.label.remember_token') !!}
                </label><br />
                    {!! $user['remember_token'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="sex">
                    {!! trans('package::user.label.sex') !!}
                </label><br />
                    {!! $user['sex'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="dob">
                    {!! trans('package::user.label.dob') !!}
                </label><br />
                    {!! $user['dob'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="designation">
                    {!! trans('package::user.label.designation') !!}
                </label><br />
                    {!! $user['designation'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="mobile">
                    {!! trans('package::user.label.mobile') !!}
                </label><br />
                    {!! $user['mobile'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="phone">
                    {!! trans('package::user.label.phone') !!}
                </label><br />
                    {!! $user['phone'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="address">
                    {!! trans('package::user.label.address') !!}
                </label><br />
                    {!! $user['address'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="street">
                    {!! trans('package::user.label.street') !!}
                </label><br />
                    {!! $user['street'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="city">
                    {!! trans('package::user.label.city') !!}
                </label><br />
                    {!! $user['city'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="district">
                    {!! trans('package::user.label.district') !!}
                </label><br />
                    {!! $user['district'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="state">
                    {!! trans('package::user.label.state') !!}
                </label><br />
                    {!! $user['state'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="country">
                    {!! trans('package::user.label.country') !!}
                </label><br />
                    {!! $user['country'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="photo">
                    {!! trans('package::user.label.photo') !!}
                </label><br />
                    {!! $user['photo'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="web">
                    {!! trans('package::user.label.web') !!}
                </label><br />
                    {!! $user['web'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="permissions">
                    {!! trans('package::user.label.permissions') !!}
                </label><br />
                    {!! $user['permissions'] !!}
            </div>
        </div>
    </div>
            </div>  
        </div>  
        <div class="col-md-4">
            @include('package::public.user.aside')
        </div>

    </div>
</div>