<?php

// Admin  routes  for user
Route::group(['prefix' => '/admin/package'], function () {
    Route::put('news/workflow/{user}/{step}', 'UserAdminController@putWorkflow');
    Route::resource('user', 'UserAdminController');
});


// User  routes for user
Route::group(['prefix' => '/user/package'], function () {
    Route::resource('user', 'UserUserController');
});

// Public  routes for user
Route::group(['prefix' => '/packages'], function () {
    Route::get('news/workflow/{user}/{step}/{user}', 'UserController@getWorkflow');
    Route::get('/', 'UserPublicController@index');
    Route::get('/{slug?}', 'UserPublicController@show');
});


